Subject: bug#15735: 24.3.50; `find-library' completion bug

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Oct 2013 10:53:05 -0400

>> So that looks perfectly correct.  Or am I misunderstanding
>> something?

> It doesn't seem right to me, but I'm probably naive.

You can do (load "ess-5.3.10/somefile"), and for that reaon you can do
You can do M-x load-library RET ess-5.3.10/somefile RET, and for that
reason, you can do M-x load-library RET ess- TAB somefi TAB RET

This is not used with many packages, but it is used for (load
"term/xterm.el") since "term/" is not in load-path, and it is used
extensively for CEDET where the subdirectories are used for "namespace",
so they can load "semantic/debug" without colliding with Emacs's debug.el.

        Stefan